Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcontrol.io
Interface BasicOutputStream

All Known Subinterfaces:
  ConsoleOutputStream

All Known Implementing Classes:
  Console, DisplayConsole, FileOutputStream, I2C, RS232, SocketOutputStream, UART

Deprecated.

    public interface BasicOutputStream

Provides a set of low-level communication methods for writing.

Method Summary
`void` | `close()` Deprecated. Closes this output stream and releases any system resources associated with this stream.
`void` | `flush()` Deprecated. Flushes this output stream and forces any buffered output bytes to be written out.
`void` | `write(byte[] b)` Deprecated. Writes `b.length` bytes from the specified byte array to this output stream.
`void` | `write(byte[] b, int off, int len)` Deprecated. Writes `len` bytes from the specified byte array starting at offset `off` to this output stream.
`void` | `write(int b)` Deprecated. Writes the specified byte to this output stream.

Method Detail

### write

    void write(int b)
               throws IOException

  Deprecated.
  Writes the specified byte to this output stream. The general contract for `write` is that one byte is written to the output stream. The byte to be written is the eight low-order bits of the argument `b`. The 24 high-order bits of `b` are ignored.

  Parameters:
    `b` - the `byte`.
  Throws:
    `IOException` - if an I/O error occurs. In particular, an `IOException` may be thrown if the output stream has been closed.

### write

    void write(byte[] b)
               throws IOException

  Deprecated.
  Writes `b.length` bytes from the specified byte array to this output stream. The general contract for `write(b)` is that it should have exactly the same effect as the call `write(b, 0, b.length)`.

  Parameters:
    `b` - the data.
  Throws:
    `IOException` - if an I/O error occurs.
  See Also:
    `OutputStream.write(byte[], int, int)`

### write

    void write(byte[] b,
               int off,
               int len)
               throws IOException

  Deprecated.
  Writes `len` bytes from the specified byte array starting at offset `off` to this output stream. The general contract for `write(b, off, len)` is that some of the bytes in the array `b` are written to the output stream in order; element `b[off]` is the first byte written and `b[off+len-1]` is the last byte written by this operation.

  If `b` is `null`, a `NullPointerException` is thrown.

  If `off` is negative, or `len` is negative, or `off+len` is greater than the length of the array `b`, then an `IndexOutOfBoundsException` is thrown.

  Parameters:
    `b` - the data.
    `off` - the start offset in the data.
    `len` - the number of bytes to write.
  Throws:
    `IOException` - if an I/O error occurs. In particular, an `IOException` is thrown if the output stream is closed.

### flush

    void flush()
               throws IOException

  Deprecated.
  Flushes this output stream and forces any buffered output bytes to be written out. The general contract of `flush` is that calling it is an indication that, if any bytes previously written have been buffered by the implementation of the output stream, such bytes should immediately be written to their intended destination.

  Throws:
    `IOException` - if an I/O error occurs.

### close

    void close()
               throws IOException

  Deprecated.
  Closes this output stream and releases any system resources associated with this stream. The general contract of `close` is that it closes the output stream. A closed stream cannot perform output operations and cannot be reopened.

  Throws:
    `IOException` - if an I/O error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD